#
# spec file for package seed (Version 2.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           seed
BuildRequires:  cairo-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gnome-js-common
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libffi-devel
BuildRequires:  libxml2-devel
BuildRequires:  libwebkit-devel
BuildRequires:  mpfr-devel
BuildRequires:  readline-devel
BuildRequires:  sqlite3-devel
License:        LGPLv3+
Group:          Development/Libraries/GNOME
Version:        2.28.1
Release:        0.1.1
Summary:        JavaScript bindings based on gobject-introspection and WebKit
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM seed-find_extensions_in_libdir.patch bgo#597398 dimstar@opensuse.org -- libseed uses the wrong path to find extensions.
Patch0:         seed-find_extensions_in_libdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Seed is a library and interpreter, dynamically bridging (through
gobject-introspection) the WebKit JavaScriptCore engine with the GObject type
system. In a more concrete sense, Seed enables you to immediately write
applications around a significant portion of the GNOME platform, and easily
embed JavaScript as a scripting language in your GObject library.

%package doc
License:        LGPLv3+ ; GPLv2+
Summary:        JavaScript bindings based on gobject-introspection and WebKit
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
Seed is a library and interpreter, dynamically bridging (through
gobject-introspection) the WebKit JavaScriptCore engine with the GObject type
system. In a more concrete sense, Seed enables you to immediately write
applications around a significant portion of the GNOME platform, and easily
embed JavaScript as a scripting language in your GObject library.

%package -n libseed0
License:        LGPLv3+
Summary:        JavaScript bindings based on gobject-introspection and WebKit
Group:          Development/Libraries/GNOME
Recommends:     gir-repository
Recommends:     gnome-js-common
Obsoletes:      libseed-0 <= %{version}
Provides:       libseed-0 = %{version}

%description -n libseed0
Seed is a library and interpreter, dynamically bridging (through
gobject-introspection) the WebKit JavaScriptCore engine with the GObject type
system. In a more concrete sense, Seed enables you to immediately write
applications around a significant portion of the GNOME platform, and easily
embed JavaScript as a scripting language in your GObject library.

%package -n libseed-devel
License:        LGPLv3+
Summary:        JavaScript bindings based on gobject-introspection and WebKit
Group:          Development/Libraries/GNOME
Requires:       libseed0 = %{version}
Requires:       glib2-devel
Requires:       gobject-introspection-devel
Requires:       libwebkit-devel
# Just a helper provides
Provides:       seed-devel

%description -n libseed-devel
Seed is a library and interpreter, dynamically bridging (through
gobject-introspection) the WebKit JavaScriptCore engine with the GObject type
system. In a more concrete sense, Seed enables you to immediately write
applications around a significant portion of the GNOME platform, and easily
embed JavaScript as a scripting language in your GObject library.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -exec %{__rm} -fv {} +

%clean
rm -rf %{buildroot}

%post -n libseed0 -p /sbin/ldconfig

%postun -n libseed0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man?/*.*

%files doc
%defattr(-,root,root)
%doc %{_datadir}/doc/seed

%files -n libseed0
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/seed
%{_libdir}/*.so.*
%dir %{_libdir}/seed
%{_libdir}/seed/*.so

%files -n libseed-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/seed

%changelog
* Fri Dec 11 2009 dimstar@opensuse.org
- Update to version 2.28.1:
  + Version bump to stay in sync.
* Mon Oct  5 2009 dimstar@opensuse.org
- Add seed-find_extensions_in_libdir.patch - libseed uses wrong
  path to load extensions. This solves partially bnc#540240.
* Thu Oct  1 2009 dimstar@opensuse.org
- Rename libseed-0 to libseed0 to follow SHLib policy.
- Add matching Provides/Obsoletes to libseed0 package.
* Mon Sep 21 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + First official stable release.
* Tue Sep  8 2009 dimstar@opensuse.org
- Update to version 2.27.92:
  + bgo#592936 - Implement instanceof for GObject constructors and
    named GObject constructors
  + bgo#584321 - Implement G_TYPE_STRV in
    seed_gvalue_from_seed_value
  + Add seed_engine_destroy
  + Build as loadable modules, instead of fully-versioned libraries
* Sat Aug 22 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + Use LDFLAGS instead of CFLAGS when appropriate
  + Use AM_SILENT_RULES instead of shave.
  + Add seed_context_create, which just wraps JSGarbageCollect
* Thu Aug 13 2009 vuntz@novell.com
- Remove GPLv3 file: the seed application was relicensed to LGPLv3.
- Remove Requires on libseed-0: it should be automatic.
* Wed Aug 12 2009 captain.magnus@opensuse.org
- Update to version 2.27.90:
  + Expanded and updated documentation
  + All JavaScript contexts now have a __script_path__ property,
    which exposes the absolute, canonical path to the evaluated
    script
  + Add __init__.js functionality; if an imported folder contains
    __init__.js, it will be evaluated with the imported context as
    the 'this' object
  + Fix bug which caused inheritance from a GType created in Seed
    to fail
  + Add "pretty" property installation
  + New FFI module, provides an interface for calling
    non-introspected native C functions from JavaScript
* Wed Aug  5 2009 vuntz@novell.com
- Fix licenses of the various subpackages, and add a GPLv3 file for
  the seed package since it's missing upstream (bnc#528274,
  bgo#590810).
* Thu Jul 30 2009 vuntz@novell.com
- Update to version 0.8.5:
  + Significant reorganization and expansion of the reference
    documentation
  + New native modules:
  - gettext
  - MPFR (partially complete)
  + Same Seed has moved to the gsoc-seed-games branch of Gnome
    Games (and will eventually move to master)
  + Add seed-module.h, which includes a handful of macros to make
    writing modules slightly more attractive. Look at gettext or
    the reference docs for examples.
  + Prefix native modules with seed_ (libseed_readline.so, etc.);
    this fixes the need to incessantly 'make clean' seed and cuts
    down on ambiguity in naming.
  + Add 'seed_value_is_string', 'seed_value_is_number', and
    'seed_value_is_object_of_class' to libseed
  + Update examples to latest (now frozen) Clutter API changes.
  + Fixes a bug with the importer search path which resulted in the
    search path being overwritten each time something was imported
  + The importer now also searches the directory in which the
    script being executed is located by default.
- Changes from version 0.8:
  + Importer now supports constructing directory objects, to avoid
    manipulation of search path. Importer directory objects now
    support property enumeration.
  + Fix small leak in GObject wrapper initialization. (and also
    simplify the process).
  + GtkBuilder module to handle GtkBuilder automatic signal
    connection.
  + *_init methods now take normal arrays (by value) in addition to
    the special Seed.argv array.
  + GObject constructors (init methods) now take "self" as a
    parameter.
  + Passing non gobject-properties to a GObject constructor will
    set the properties on the GObject wrapper.
  + Module documentation rewritten in docbook, and builds one nice
    manual.
  + New Cairo module, supports most of the cairo API, with
    automatic memory management and everything you would expect.
  + Fix a reference count leak introduced in the last few releases.
    in some cases with non INITIALLY_UNOWNED objects.
  + Some work on ClutterPad examples, and writing examples which
    live inside of it (lots of fun to play with!, cairo
    example...fun spring example...ClutterBox2D)
  + Working around a WebKit bug (which is actually fixed in SVN
    now), should prevent a crash that happened sometimes with C
    modules.
  + Clutter animatev wrapper looks up property type wrapper now, so
    as to avoid having to pass [GObject.TYPE_FOO, bar]
  + Implement some varargs functions which can be implemented on
    top of non-vararg variants in JavaScript extensions.
  + JSON stuff (stringify,parse) is now in gnome-js-common.
  + Add seed_value_to_format to API, for converting an Array of
    SeedValue based on a format string.
  + Install seed-debug.h so modules can make use of it.
  + Search path now works in nonstandard prefix, default search
    path includes gnome-js-common moduledir (from pkgconfig).
  + Support to/from Date objects to time_t.
- Add gnome-js-common and mpfr-devel BuildRequires.
- Add Recommends gnome-js-common to libseed-0.
* Thu May 14 2009 vuntz@novell.com
- Update to version 0.7:
  + Support for library init methods.
  + The REPL now supports multi-line entry.
  + Signal disconnection.
  + Significant Gtk-Doc reorganization.
  + New C modules:
  - sandbox - provides sandboxed JavaScriptCore contexts.
  - DBus - Client side DBus bindings.
  - libxml - XML parsing, XPath, etc.
  + Examples:
  - New: ClutterPad (initially by Johan Euphrosine).
  - New: dbus-banshee, dbus-consolekit, dbus-networkmanager
  - New: xml-dom.js xml-tree.js, xml-xpath.js.
  - Pango examples have returned.
  - Same Seed performance is increased significantly.
  - Many examples now use "recent" style; some were completely
    rewritten
  + Improvements to test system, and quite a few more tests.
  + Improvements to error checking/handling in signal code.
  + Reorganization of API related to GClosure handling, much
    cleaner and easier now.
  + Several new API methods.
  + GC related crash fixes.
  + Improvements to seed_value_to_string (mostly formatting
    improvements).
  + Void methods now properly return undefined instead of null.
  + seed_make_exception takes format strings now.
- Add BuildRequires: dbus-1-glib-devel, libxml2-devel.
- Drop seed-return-value.patch: fixed upstream.
* Sat May  2 2009 vuntz@novell.com
- Fix build on x86_64: the seed modules are installed in /usr/lib
  on 64-bits machines too.
* Fri May  1 2009 vuntz@novell.com
- Initial package.
